%define upstream_name	 Parse-Yapp
%define upstream_version 1.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Fully re-entrant perl OO LALR(1) parser creator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%upstream_name
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The Parse::Yapp module enables to create Perl OO fully re-entrant
LALR(1) parser modules (see the Yapp.pm pod pages for more details)
and has been designed to be functionally as close as possible to yacc,
but using the full power of Perl and open to enhancements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
find -type f | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Parse


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.210.0-5.mga9
+ Revision: 1810027
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.210.0-4.mga8
+ Revision: 1505900
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.210.0-3.mga7
+ Revision: 1285551
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.210.0-2.mga7
+ Revision: 1166137
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.210.0-1.mga7
+ Revision: 1160716
- update to 1.21

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-8.mga6
+ Revision: 1031798
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.50.0-7.mga6
+ Revision: 930754
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-6.mga5
+ Revision: 741377
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-5.mga5
+ Revision: 685902
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.50.0-4.mga4
+ Revision: 513984
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-3.mga3
+ Revision: 371542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.50.0-2.mga1
+ Revision: 26825
- mageia rebuild
- imported package perl-Parse-Yapp


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.50.0-2mdv2011.0
+ Revision: 564826
- rebuild for perl 5.12.1

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-1mdv2010.0
+ Revision: 407957
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.05-10mdv2009.1
+ Revision: 351772
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.05-9mdv2009.0
+ Revision: 223952
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.05-8mdv2008.1
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 1.05-8mdv2008.0
+ Revision: 19237
- rebuild


* Mon Feb 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.05-7mdk
- Rebuild and cleanup

* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.05-6mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-5mdk
- rebuild for new auto{prov,req}

